package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*ProbeService)(nil)))
}

type ProbeService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (ps *ProbeService) Start() error {
	return nil
}
func (ps *ProbeService) Stop() error {
	return nil
}
func (ps *ProbeService) Update() error {
	return nil
}
