package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*SensorService)(nil)))
}

type SensorService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (ss *SensorService) Start(id int64) error {
	return nil
}

func (ss *SensorService) Stop(id int64) error {
	return nil
}

func (ss *SensorService) Add(config *configM.Config) error {
	return nil
}

func (ss *SensorService) Remove(id int64) error {
	return nil
}

func (ss *SensorService) Update(id int64) error {
	return nil
}
